<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\WlSchooltypesTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\WlSchooltypesTable Test Case
 */
class WlSchooltypesTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\WlSchooltypesTable
     */
    public $WlSchooltypes;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.wl_schooltypes',
        'app.budget',
        'app.schools',
        'app.wl_budgets'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('WlSchooltypes') ? [] : ['className' => WlSchooltypesTable::class];
        $this->WlSchooltypes = TableRegistry::get('WlSchooltypes', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->WlSchooltypes);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
